Subject: Re: [Tools-discuss] bibxml8 and http:// (Fwd: Lars Eggert's No Objection on draft-ietf-core-senml-versions-03: (with COMMENT))

From: Carsten Bormann <[email-masked]>
Date: Thu, 14 Oct 2021 17:22:04 +0200

I finally put a workaround into kramdown-rfc2629 (version 1.5.9).
As usual, 

	gem update kramdown-rfc2629

and get fewer (valid!) complaints from Lars :-)

Grüße, Carsten

> On 2021-09-30, at 13:42, Carsten Bormann <[email-masked]> wrote:
> 
> Bump.
> 
> This is now coming up again and again in IESG reviews.
> I know that the full solution is imminent…
> But maybe someone can have some mercy until then.
> 
> Grüße, Carsten
> 
> 
>> On 2021-05-26, at 17:34, Carsten Bormann <[email-masked]> wrote:
>> 
>> On 2021-05-26, at 17:14, Russ Housley <[email-masked]> wrote:
>>> 
>>> There is an RFP out for updated to bibxml.  Hopefully this is easily addressed under that effort.
>> 
>> I’m looking forward to this.
>> 
>> In the meantime, maybe someone could place that “s” before the colon in line 220 of bibxml8/index.cgi…
>> 
>> Grüße, Carsten
>> 
>>> 
>>> Russ
>>> 
>>>> On May 26, 2021, at 9:54 AM, Carsten Bormann <[email-masked]> wrote:
>>>> 
>>>> In a recent IESG ballot, Lars Eggert noted that bibxlm8 is still using http:// URLs for the reference target:
>>>> 
>>>>       return ("\n".join([f"<reference anchor='{self.reference_number.upper()}'",
>>>>                          f" target='http://www.iana.org/assignments/{self.reference_number}'>",
>>>> (Line 219, 220 of bibxml8/index.cgi).
>>>> 
>>>> I agree with him that this should now be https://
>>>> 
>>>> Grüße, Carsten
>>>> 
>>>> 
>>>>> Begin forwarded message:
>>>>> 
>>>>> From: Lars Eggert via Datatracker <[email-masked]>
>>>>> Subject: Lars Eggert's No Objection on draft-ietf-core-senml-versions-03: (with COMMENT)
>>>>> Date: 2021-05-26 at 14:33:43 CEST
>>>>> To: "The IESG" <[email-masked]>
>>>>> Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
>>>>> Resent-From: <[email-masked]>
>>>>> Resent-To: [email-masked], [email-masked], [email-masked]
>>>>> Reply-To: Lars Eggert <[email-masked]>
>>>>> Message-Id: <[email-masked]>
>>>>> 
>>>>> 
>>>>> These URLs in the document can probably be converted to HTTPS:
>>>>> * http://www.iana.org/assignments/senml
>>>> 
>>>> ___________________________________________________________
>>>> Tools-discuss mailing list - [email-masked]
>>>> This list is for discussion, not for action requests or bug reports.
>>>> * Report datatracker and mailarchive bugs to: [email-masked]
>>>> * Report tools.ietf.org bugs to: [email-masked]
>>>> * Report all other bugs or issues to: [email-masked]
>>>> List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss
>>> 
>>> ___________________________________________________________
>>> Tools-discuss mailing list - [email-masked]
>>> This list is for discussion, not for action requests or bug reports.
>>> * Report datatracker and mailarchive bugs to: [email-masked]
>>> * Report tools.ietf.org bugs to: [email-masked]
>>> * Report all other bugs or issues to: [email-masked]
>>> List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss
>> 
>